/* 
    Copyright (C) 2004  Mika Raento - Renaud Petit

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


    email: mraento@cs.helsinki.fi - petit@cs.helsinki.fi 
*/


/*
* ============================================================================
*  Name     : CContextbookDocument from ContextbookDocument.h
*  Part of  : contextbook
*  Created  : 14.7.2003 by 
*  Description:
*     Declares document for application.
*  Version  :
*  Copyright: 
* ============================================================================
*/

#ifndef CONTEXTBOOKDOCUMENT_H
#define CONTEXTBOOKDOCUMENT_H

// INCLUDES
#include <akndoc.h>
#include "app_context.h"
#include <settings.h>
   
// CONSTANTS

// FORWARD DECLARATIONS
class  CEikAppUi;

// CLASS DECLARATION

/**
*  CContextbookDocument application class.
*/
class CContextbookDocument : public CAknDocument
    {
    public: // Constructors and destructor
        /**
        * Two-phased constructor.
        */
        static CContextbookDocument* NewL(CEikApplication& aApp);

        /**
        * Destructor.
        */
        virtual ~CContextbookDocument();

    public: // New functions

    protected:  // New functions

    protected:  // Functions from base classes

    private:

        /**
        * EPOC default constructor.
        */
        CContextbookDocument(CEikApplication& aApp);
        void ConstructL();
	CApp_context* iContext;

    private:

        /**
        * From CEikDocument, create CContextbookAppUi "App UI" object.
        */
        CEikAppUi* CreateAppUiL();
	TNoDefaults iNoDefaults;

    };

#endif

// End of File

